package jp.sourceforge.shovel.entity.impl;

import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Id;
import org.seasar.dao.annotation.tiger.IdType;

import jp.sourceforge.shovel.entity.IDedicatedClient;

@Bean(table = "clients")
public class DedicatedClientImpl implements IDedicatedClient {
    long clientId_;
    String text_;
    String url_;
    String version_;
    
    public long getClientId() {
        return clientId_;
    }
    @Id(value = IdType.IDENTITY)
    public void setClientId(long clientId) {
        clientId_ = clientId;
    }
    public String getText() {
        return text_;
    }
    public void setText(String text) {
        text_ = text;
    }
    public String getUrl() {
        return url_;
    }
    public void setUrl(String url) {
        url_ = url;
    }
    public void setVersion(String version) {
        version_ = version;
    }
    public String getVersion() {
        return version_;
    }
}
